6.0.0-git
2019-03-23

[#7444] When attendees don't have f/b info, show a status or warning, but not an error
Summary When attendees don't have f/b info, show a status or warning, but not an error
Queue Kronolith
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester paul (at) carnie (dot) com (dot) au
Created 2008-10-07 (3819 days ago)
Due
Updated 2011-11-08 (2692 days ago)
Assigned 2008-10-07 (3819 days ago)
Resolved
Milestone
Patch No

History
2011-11-08 17:40:26 Jan Schneider Comment #9
Version ⇒ Git master
Reply to this comment
As of Kronolith 3.0 a warning is showed with the following text:

No free/busy url found for bklang@horde.org.[Tue Nov 08 2011 
12:19:45 GMT-0500 (EST)]

I would propose changing the wording to be "No free/busy information 
found ..." so the message is more clear to non-technical users.  I
No, we already use that message if there is indeed no information. The 
message you are seeing is displayed if there is no URL set in the 
contact's address book entry. That's a different issue and thus should 
have different messages.
would also personally prefer to see this as informational rather 
than warning, since anyone invitations to users outside our Horde 
install will trigger these messages.  Otherwise, I think this ticket 
can probably be closed.
I'm fine with that.
2011-11-08 17:34:34 Ben Klang Comment #8 Reply to this comment
As of Kronolith 3.0 a warning is showed with the following text:

No free/busy url found for bklang@horde.org.[Tue Nov 08 2011 12:19:45 
GMT-0500 (EST)]

I would propose changing the wording to be "No free/busy information 
found ..." so the message is more clear to non-technical users.  I 
would also personally prefer to see this as informational rather than 
warning, since anyone invitations to users outside our Horde install 
will trigger these messages.  Otherwise, I think this ticket can 
probably be closed.

I can make the two above tweaks if others agree with my suggestions.
2008-10-22 19:20:08 paul (at) carnie (dot) com (dot) au Comment #7 Reply to this comment
As a workaround I will comment out the error message and use the free 
busy table to see if users have free busy information.



Suggestion:

To test the "enhancement" when it is available, create an appointment 
with 15 attendees without free busy entries.  If you can still see the 
free busy section in the pop up, then it is successful.



Paul
I'm in favor of changing the message to either a warning or an info
message in the case where there was no free-busy url (or maybe just
putting a status icon next to recipients without f/b info).
2008-10-20 14:33:31 Chuck Hagenbuch Summary ⇒ When attendees don't have f/b info, show a status or warning, but not an error
 
2008-10-20 14:33:04 Chuck Hagenbuch Comment #6
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Reply to this comment
I'm in favor of changing the message to either a warning or an info 
message in the case where there was no free-busy url (or maybe just 
putting a status icon next to recipients without f/b info).
2008-10-20 08:56:34 Matt Selsky Comment #5 Reply to this comment
True, but it has the word "error" in it.  We should make it easier for 
the user to distinguish between real errors and users simply not 
configured with FB urls.
2008-10-20 07:56:07 Jan Schneider Comment #4
State ⇒ Not A Bug
Reply to this comment
It's not an error message, it's an informational message. And it's a 
nice way from us to let users know why an attendee doesn't show up in 
the free/busy list. It's not a bug, period.
2008-10-20 00:53:34 paul (at) carnie (dot) com (dot) au Comment #3 Reply to this comment
Why not? And why is this a bug?
Why not what?  I know I abbreviate information but ....  It is a bug 
when the software gives an error message that is not a problem but 
part of how the software could be used?



The address book has a field for Free Busy information.  It is not mandatory.

The external meeting attendees may not have Free Busy pages that can 
be accessed by Horde.  Why show an error when the Free Busy field is 
blank?  The software test for blank free busy is not working.
2008-10-19 16:05:32 Jan Schneider State ⇒ No Feedback
 
2008-10-07 13:47:57 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Why not? And why is this a bug?
2008-10-07 00:33:46 paul (at) carnie (dot) com (dot) au Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Free Busy error message for attendees not configured for it
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
The error message "Error retrieving free/busy information for xxxx"   
appears for each attendee when free/busy is not set in the address 
book for the user.  It should not be required.



Looks like the below generates the error in attendees.php.

         $vfb = Kronolith_Freebusy::get($email);

         if (!is_a($vfb, 'PEAR_Error')) {

....

         } else {

             $notification->push(

                 sprintf(_("Error retrieving free/busy information for 
%s: %s"),

                         $email, $vfb->getMessage()));

         }


Saved Queries